Package org.drinkless.tdlib

# Class TdApi.SearchQuote

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.FoundPosition>
org.drinkless.tdlib.TdApi.SearchQuote

Enclosing class:
  `TdApi`

public static class TdApi.SearchQuote extends TdApi.Function<TdApi.FoundPosition>
Searches for a given quote in a text. Returns found quote start position in UTF-16 code units. Returns a 404 error if the quote is not found. Can be called synchronously.

Returns `FoundPosition`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.FormattedText`
  `quote`
  Quote to search for.
  `int`
  `quotePosition`
  Approximate quote position in UTF-16 code units.
  `TdApi.FormattedText`
  `text`
  Text in which to search for the quote.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchQuote()`
  Default constructor for a function, which searches for a given quote in a text.
  `SearchQuote(TdApi.FormattedText text, TdApi.FormattedText quote, int quotePosition)`
  Creates a function, which searches for a given quote in a text.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### text

    public TdApi.FormattedText text
    Text in which to search for the quote.

  - ### quote

    public TdApi.FormattedText quote
    Quote to search for.

  - ### quotePosition

    public int quotePosition
    Approximate quote position in UTF-16 code units.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SearchQuote

    public SearchQuote()
    Default constructor for a function, which searches for a given quote in a text. Returns found quote start position in UTF-16 code units. Returns a 404 error if the quote is not found. Can be called synchronously.

    Returns `FoundPosition`

  - ### SearchQuote

    public SearchQuote(TdApi.FormattedText text, TdApi.FormattedText quote, int quotePosition)
    Creates a function, which searches for a given quote in a text. Returns found quote start position in UTF-16 code units. Returns a 404 error if the quote is not found. Can be called synchronously.

    Returns `FoundPosition`

    Parameters:
      `text` - Text in which to search for the quote.
      `quote` - Quote to search for.
      `quotePosition` - Approximate quote position in UTF-16 code units.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.FoundPosition>`
    Returns:
      this.CONSTRUCTOR